Reference
=========

SpeedCrunch includes a large number of built-in math functions and constants. They
are documented in this reference, organized by categories. There is also an
:ref:`alphabetical list of all functions <sc:functionindex>`.


Built-in Functions
------------------


.. toctree::
   :maxdepth: 2

   basic
   integer
   statistical
   ieee754


Constants
---------

.. toctree::
   :maxdepth: 2

   constants


.. TODO: What else needs to be documented? Units, I guess?
